unit Oradoc_datamodule;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, NCOci, NCOciWrapper, NCOciDB;

type
  TDMODD = class(TDataModule)
    OCIDatabase: TOCIDatabase;
    OCIProctext: TOCIQuery;
    OCIViewNames: TOCIQuery;
    OCIPrimaryKeys: TOCIQuery;
    OCIComments: TOCIQuery;
    OCISequences: TOCIQuery;
    OCIForeignKeys: TOCIQuery;
    OCIRoles: TOCIQuery;
    OCISynonyms: TOCIQuery;
    OCIPackages: TOCIQuery;
    OCIIndexes: TOCIQuery;
    OCITableFields: TOCIQuery;
    OCIProcedures: TOCIQuery;
    OCITables: TOCIQuery;
    OCIViews: TOCIQuery;
    OCIPackageText: TOCIQuery;
    procedure OCIDatabaseError(ASender: TObject; var AError: Exception);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DMODD: TDMODD;

implementation

{$R *.DFM}

uses Oradoc_lib;

procedure TDMODD.OCIDatabaseError(ASender: TObject; var AError: Exception);
begin
    MessageDlg(Oradoc_lib.LOGINERROR+AError.Message, mtError, [mbOK], 0);
end;

end.
