unit Oradoc_options_directories;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, TFlatButtonUnit, TFlatEditUnit, FileCtrl, ToolEdit,
  Mask;

type
  TFRMOPTIONSDIRECTORIES = class(TForm)
    PanelDirectories: TPanel;
    L_PROJECTHISTORY: TLabel;
    L_PROJECTDIRECTORY: TLabel;
    L_DBLOGHISTORY: TLabel;
    L_DEFINITION1: TLabel;
    L_DEFINITION2: TLabel;
    L_DEFINITION3: TLabel;
    FEdProjectDirectory: TDirectoryEdit;
    FEdProjectHistory: TFilenameEdit;
    FEdDBLogHistory: TFilenameEdit;
    procedure FormCreate(Sender: TObject);
    procedure FEdProjectHistoryBeforeDialog(Sender: TObject;
      var Name: String; var Action: Boolean);
    procedure FEdProjectDirectoryBeforeDialog(Sender: TObject;
      var Name: String; var Action: Boolean);
    procedure FEdDBLogHistoryBeforeDialog(Sender: TObject;
      var Name: String; var Action: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMOPTIONSDIRECTORIES: TFRMOPTIONSDIRECTORIES;

implementation

uses Oradoc_options, Oradoc_lib;

{$R *.DFM}

procedure TFRMOPTIONSDIRECTORIES.FormCreate(Sender: TObject);
begin
    PanelDirectories.Parent :=  FRMOPTIONS.FlatTabControl;
    PanelDirectories.left := 1;
    PanelDirectories.top := 17;
    PanelDirectories.height := Oradoc_lib.OPTIONS_CLIENTPANEL_HEIGHT;
    PanelDirectories.width := Oradoc_lib.OPTIONS_CLIENTPANEL_WIDTH;
    PanelDirectories.Visible := false;
end;

procedure TFRMOPTIONSDIRECTORIES.FEdProjectHistoryBeforeDialog(
  Sender: TObject; var Name: String; var Action: Boolean);
begin
    FEdProjectHistory.DialogTitle := Oradoc_lib.CHOOSEPROJECTHISTORY;
    FEdProjectHistory.Filter := Oradoc_lib.FILTERTEXTPRH;
end;

procedure TFRMOPTIONSDIRECTORIES.FEdProjectDirectoryBeforeDialog(
  Sender: TObject; var Name: String; var Action: Boolean);
begin
    FEdProjectDirectory.DialogText := Oradoc_lib.CHOOSEPROJECTDIR;
end;

procedure TFRMOPTIONSDIRECTORIES.FEdDBLogHistoryBeforeDialog(
  Sender: TObject; var Name: String; var Action: Boolean);
begin
    FEdDBLogHistory.DialogTitle := Oradoc_lib.CHOOSEDBHISTORY;
    FEdDBLogHistory.Filter := Oradoc_lib.FILTERTEXTDBH;
end;

end.
