unit Oradoc_packages;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TFlatMemoUnit, TFlatButtonUnit, TFlatListBoxUnit, ExtCtrls,
  Grids;

type
  TFRMPACKAGES = class(TForm)
    PanelPackages: TPanel;
    FlatListBox1: TFlatListBox;
    FlatButton1: TFlatButton;
    FlatButton2: TFlatButton;
    FlatListBox2: TFlatListBox;
    FlatMemo: TFlatMemo;
    FlatButton3: TFlatButton;
    FlatButton4: TFlatButton;
    StringGrid: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure FlatButton1Click(Sender: TObject);
    procedure FlatButton2Click(Sender: TObject);
    procedure FlatButton3Click(Sender: TObject);
    procedure FlatButton4Click(Sender: TObject);
    procedure FlatMemoKeyPress(Sender: TObject; var Key: Char);
    procedure FlatListBox2Click(Sender: TObject);
    procedure FlatMemoKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMPACKAGES: TFRMPACKAGES;

implementation

uses Oradoc_tab, Oradoc_lib, Oradoc_main;

{$R *.DFM}

procedure TFRMPACKAGES.FormCreate(Sender: TObject);
begin
    PanelPackages.Parent :=  FRMTAB.FlatTabControl;
    PanelPackages.left := 1;
    PanelPackages.top := 1;
    PanelPackages.height := Oradoc_lib.TAB_CLIENTPANEL_HEIGHT;
    PanelPackages.width := Oradoc_lib.TAB_CLIENTPANEL_WIDTH;
    //PanelPackages.Visible := false;
end;

procedure TFRMPACKAGES.FlatButton1Click(Sender: TObject);
begin
    Oradoc_lib.ListAdd(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMPACKAGES.FlatButton2Click(Sender: TObject);
begin
    Oradoc_lib.ListAddAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMPACKAGES.FlatButton3Click(Sender: TObject);
begin
    Oradoc_lib.ListRemove(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMPACKAGES.FlatButton4Click(Sender: TObject);
begin
    Oradoc_lib.ListRemoveAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMPACKAGES.FlatMemoKeyPress(Sender: TObject; var Key: Char);
begin
    FRMMAIN.setModifiedText(Oradoc_lib.SBMODIFIEDTEXT);
end;

procedure TFRMPACKAGES.FlatListBox2Click(Sender: TObject);
begin
    if Oradoc_lib.SelectedIndex(FlatListBox2) <> -1 then
        begin
        Oradoc_lib.setMemoField(FlatMemo, true);
        FlatMemo.text := StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1];
        end
    else Oradoc_lib.setMemoField(FlatMemo, false);
end;

procedure TFRMPACKAGES.FlatMemoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1] := FlatMemo.text;
end;

end.
