unit Oradoc_progress;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TFlatButtonUnit, ComCtrls, StdCtrls, TFlatProgressBarUnit;

type
  TFRMPROGRESS = class(TForm)
    L_INFOTEXT: TLabel;
    FBtnOk: TFlatButton;
    FProgressBar: TProgressBar;
    procedure FBtnOkClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure setPosition(position: Integer);
    procedure increasePosition(Count: Integer);
    procedure setMax(max: Integer);
    procedure setInfoText(Text: String);
  end;

var
  FRMPROGRESS: TFRMPROGRESS;

implementation

{$R *.DFM}

procedure TFRMPROGRESS.setInfoText(Text: String);
begin
    L_INFOTEXT.Caption := Text;
end;

procedure TFRMPROGRESS.setPosition(position: Integer);
begin
    FProgressBar.Position := position;
end;

procedure TFRMPROGRESS.increasePosition(Count: Integer);
begin
    FProgressBar.Position := FProgressBar.Position + Count;
end;

procedure TFRMPROGRESS.setMax(max: Integer);
begin
    FProgressBar.Max := max;
end;

procedure TFRMPROGRESS.FBtnOkClick(Sender: TObject);
begin
    Close
end;

procedure TFRMPROGRESS.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
    action := cafree
end;

procedure TFRMPROGRESS.FormDestroy(Sender: TObject);
begin
    FRMPROGRESS := nil;
end;

end.
