unit Oradoc_tables;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TFlatButtonUnit, TFlatListBoxUnit, ExtCtrls, StdCtrls, TFlatMemoUnit,
  Grids;

type
  TFRMTABLES = class(TForm)
    PanelTables: TPanel;
    FlatListBox1: TFlatListBox;
    FlatButton1: TFlatButton;
    FlatButton2: TFlatButton;
    FlatListBox2: TFlatListBox;
    FlatMemo: TFlatMemo;
    FlatButton3: TFlatButton;
    FlatButton4: TFlatButton;
    StringGrid: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure FlatButton1Click(Sender: TObject);
    procedure FlatButton2Click(Sender: TObject);
    procedure FlatButton3Click(Sender: TObject);
    procedure FlatButton4Click(Sender: TObject);
    procedure FlatMemoKeyPress(Sender: TObject; var Key: Char);
    procedure FlatListBox2Click(Sender: TObject);
    procedure FlatMemoKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMTABLES: TFRMTABLES;

implementation

{$R *.DFM}

uses Oradoc_tab, Oradoc_lib, Oradoc_main;

procedure TFRMTABLES.FormCreate(Sender: TObject);
begin
    PanelTables.Parent :=  FRMTAB.FlatTabControl;
    PanelTables.left := 1;
    PanelTables.top := 1;
    PanelTables.height := Oradoc_lib.TAB_CLIENTPANEL_HEIGHT;
    PanelTables.width := Oradoc_lib.TAB_CLIENTPANEL_WIDTH;
   // PanelTables.Visible := false;
end;

procedure TFRMTABLES.FlatButton1Click(Sender: TObject);
begin
    Oradoc_lib.ListAdd(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMTABLES.FlatButton2Click(Sender: TObject);
begin
    Oradoc_lib.ListAddAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMTABLES.FlatButton3Click(Sender: TObject);
begin
    Oradoc_lib.ListRemove(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMTABLES.FlatButton4Click(Sender: TObject);
begin
    Oradoc_lib.ListRemoveAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMTABLES.FlatMemoKeyPress(Sender: TObject; var Key: Char);
begin
    FRMMAIN.setModifiedText(Oradoc_lib.SBMODIFIEDTEXT);
end;

procedure TFRMTABLES.FlatListBox2Click(Sender: TObject);
begin
    if Oradoc_lib.SelectedIndex(FlatListBox2) <> -1 then
        begin
        Oradoc_lib.setMemoField(FlatMemo, true);
        FlatMemo.text := StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1];
        end
    else Oradoc_lib.setMemoField(FlatMemo, false);
end;

procedure TFRMTABLES.FlatMemoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1] := FlatMemo.text;
end;

end.
