unit Oradoc_options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TFlatTabControlUnit, TFlatButtonUnit;

type
  TFRMOPTIONS = class(TForm)
    FlatTabControl: TFlatTabControl;
    FBtnOk: TFlatButton;
    FBtnCancel: TFlatButton;
    procedure FormCreate(Sender: TObject);
    procedure FlatTabControlTabChanged(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMOPTIONS: TFRMOPTIONS;

implementation

{$R *.DFM}

uses Oradoc_lib, Oradoc_options_directories, Oradoc_options_document,
  Oradoc_options_proctags, Oradoc_options_packagetags;

procedure TFRMOPTIONS.FormCreate(Sender: TObject);
begin
    width := Oradoc_lib.OPTIONS_FORM_WIDTH;
    height := Oradoc_lib.OPTIONS_FORM_HEIGHT;
end;

procedure TFRMOPTIONS.FlatTabControlTabChanged(Sender: TObject);
begin
    FRMOPTIONSDIRECTORIES.PanelDirectories.Visible := false;
    FRMOPTIONSDOCUMENT.PanelDocument.Visible := false;
    FRMOPTIONSPROCTAGS.PanelProcTags.Visible := false;
    FRMOPTIONSPACKAGETAGS.PanelPackageTags.Visible := false;
    case FlatTabControl.ActiveTab of
    0: FRMOPTIONSDIRECTORIES.PanelDirectories.Visible := true;
    1: FRMOPTIONSDOCUMENT.PanelDocument.Visible := true;
    2: FRMOPTIONSPROCTAGS.PanelProcTags.Visible := true;
    3: FRMOPTIONSPACKAGETAGS.PanelPackageTags.Visible := true;
    end;
end;

procedure TFRMOPTIONS.FormShow(Sender: TObject);
begin
    FlatTabControlTabChanged(self);
end;

end.
