unit Oradoc_procs;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TFlatButtonUnit, TFlatListBoxUnit, ExtCtrls, Grids;

type
  TFRMPROCS = class(TForm)
    PanelProcs: TPanel;
    FlatListBox1: TFlatListBox;
    FlatButton1: TFlatButton;
    FlatButton2: TFlatButton;
    FlatListBox2: TFlatListBox;
    FlatButton3: TFlatButton;
    FlatButton4: TFlatButton;
    StringGrid: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure FlatButton1Click(Sender: TObject);
    procedure FlatButton2Click(Sender: TObject);
    procedure FlatButton3Click(Sender: TObject);
    procedure FlatButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMPROCS: TFRMPROCS;

implementation

uses Oradoc_tab, Oradoc_lib;

{$R *.DFM}

procedure TFRMPROCS.FormCreate(Sender: TObject);
begin
    PanelProcs.Parent :=  FRMTAB.FlatTabControl;
    PanelProcs.left := 1;
    PanelProcs.top := 1;
    PanelProcs.height := Oradoc_lib.TAB_CLIENTPANEL_HEIGHT;
    PanelProcs.width := Oradoc_lib.TAB_CLIENTPANEL_WIDTH;
    //PanelProcs.Visible := false;
end;

procedure TFRMPROCS.FlatButton1Click(Sender: TObject);
begin
    Oradoc_lib.ListAdd(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMPROCS.FlatButton2Click(Sender: TObject);
begin
    Oradoc_lib.ListAddAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMPROCS.FlatButton3Click(Sender: TObject);
begin
    Oradoc_lib.ListRemove(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, nil);
end;

procedure TFRMPROCS.FlatButton4Click(Sender: TObject);
begin
    Oradoc_lib.ListRemoveAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, nil);
end;

end.
