unit Oradoc_project;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, TFlatMemoUnit, TFlatEditUnit;

type
  TFRMPROJECT = class(TForm)
    PanelGeneral: TPanel;
    L_NAME: TLabel;
    L_VERSION: TLabel;
    L_CREATED: TLabel;
    L_UPDATED: TLabel;
    FEdName: TFlatEdit;
    FEdVersion: TFlatEdit;
    FEdCreated: TFlatEdit;
    FEdUpdated: TFlatEdit;
    L_GENERAL: TLabel;
    FMGeneral: TFlatMemo;
    procedure FormCreate(Sender: TObject);
    procedure FEdNameEnter(Sender: TObject);
    procedure FEdCreatedEnter(Sender: TObject);
    procedure FEdVersionEnter(Sender: TObject);
    procedure FEdUpdatedEnter(Sender: TObject);
    procedure FMGeneralKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMPROJECT: TFRMPROJECT;

implementation

uses Oradoc_tab, Oradoc_lib, Oradoc_main;

{$R *.DFM}

procedure TFRMPROJECT.FormCreate(Sender: TObject);
begin
    PanelGeneral.Parent :=  FRMTAB.FlatTabControl;
    PanelGeneral.left := 1;
    PanelGeneral.top := 1;
    PanelGeneral.height := Oradoc_lib.TAB_CLIENTPANEL_HEIGHT;
    PanelGeneral.width := Oradoc_lib.TAB_CLIENTPANEL_WIDTH;
    //PanelGeneral.Visible := false;
end;

procedure TFRMPROJECT.FEdNameEnter(Sender: TObject);
begin
    PanelGeneral.setfocus
end;

procedure TFRMPROJECT.FEdCreatedEnter(Sender: TObject);
begin
    PanelGeneral.setfocus
end;

procedure TFRMPROJECT.FEdVersionEnter(Sender: TObject);
begin
    PanelGeneral.setfocus
end;

procedure TFRMPROJECT.FEdUpdatedEnter(Sender: TObject);
begin
    PanelGeneral.setfocus
end;

procedure TFRMPROJECT.FMGeneralKeyPress(Sender: TObject; var Key: Char);
begin
    FRMMAIN.setModifiedText(Oradoc_lib.SBMODIFIEDTEXT);
end;

end.
