unit Oradoc_roles;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TFlatMemoUnit, TFlatButtonUnit, TFlatListBoxUnit, ExtCtrls,
  Grids;

type
  TFRMROLES = class(TForm)
    PanelRoles: TPanel;
    FlatListBox1: TFlatListBox;
    FlatButton1: TFlatButton;
    FlatButton2: TFlatButton;
    FlatListBox2: TFlatListBox;
    FlatMemo: TFlatMemo;
    FlatButton3: TFlatButton;
    FlatButton4: TFlatButton;
    FMDescription: TFlatMemo;
    L_DESCRIPTION: TLabel;
    StringGrid: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure FlatButton1Click(Sender: TObject);
    procedure FlatButton2Click(Sender: TObject);
    procedure FlatButton3Click(Sender: TObject);
    procedure FlatButton4Click(Sender: TObject);
    procedure FlatMemoKeyPress(Sender: TObject; var Key: Char);
    procedure FlatListBox2Click(Sender: TObject);
    procedure FlatMemoKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FMDescriptionKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FRMROLES: TFRMROLES;

implementation

uses Oradoc_tab, Oradoc_lib, Oradoc_main;

{$R *.DFM}

procedure TFRMROLES.FormCreate(Sender: TObject);
begin
    PanelRoles.Parent :=  FRMTAB.FlatTabControl;
    PanelRoles.left := 1;
    PanelRoles.top := 1;
    PanelRoles.height := Oradoc_lib.TAB_CLIENTPANEL_HEIGHT;
    PanelRoles.width := Oradoc_lib.TAB_CLIENTPANEL_WIDTH;
    //PanelRoles.Visible := false;
end;

procedure TFRMROLES.FlatButton1Click(Sender: TObject);
begin
    Oradoc_lib.ListAdd(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMROLES.FlatButton2Click(Sender: TObject);
begin
    Oradoc_lib.ListAddAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FRMTAB.FlatTabControl);
end;

procedure TFRMROLES.FlatButton3Click(Sender: TObject);
begin
    Oradoc_lib.ListRemove(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMROLES.FlatButton4Click(Sender: TObject);
begin
    Oradoc_lib.ListRemoveAll(FlatListBox1, FlatListBox2, StringGrid, FlatButton1,
        FlatButton2, FlatButton3, FlatButton4, FlatMemo);
end;

procedure TFRMROLES.FlatMemoKeyPress(Sender: TObject; var Key: Char);
begin
    FRMMAIN.setModifiedText(Oradoc_lib.SBMODIFIEDTEXT);
end;

procedure TFRMROLES.FlatListBox2Click(Sender: TObject);
begin
    if Oradoc_lib.SelectedIndex(FlatListBox2) <> -1 then
        begin
        Oradoc_lib.setMemoField(FlatMemo, true);
        FlatMemo.text := StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1];
        end
    else Oradoc_lib.setMemoField(FlatMemo, false);
end;

procedure TFRMROLES.FlatMemoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    StringGrid.cells[4, Oradoc_lib.SelectedIndex(FlatListBox2)+1] := FlatMemo.text;
end;

procedure TFRMROLES.FMDescriptionKeyPress(Sender: TObject; var Key: Char);
begin
    FRMMAIN.setModifiedText(Oradoc_lib.SBMODIFIEDTEXT);
end;

end.
